Cytosim PI Cytoskeleton Simulator

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

List of all members | Public Member Functions | Public Attributes | Friends
SimulProp Class Reference
All Object Properties

## Detailed Description

There is normally only one instantiation of this class.

Inheritance diagram for SimulProp:

## Public Member Functions
const Space * | lastSpace () const
| return current Space More...
const Space * | firstSpace (const std::string &name) const
| return first Space with this name
| SimulProp (const std::string &n, Simul *s)
| constructor
| ~SimulProp ()
| destructor
std::string | kind () const
| identifies the property
void | clear ()
| set default values
void | read (Glossary &)
| set from a Glossary
void | complete (SimulProp const *, PropertyList *)
| check and derive parameters More...
Property * | clone () const
| return a carbon copy of object
void | write_data (std::ostream &) const
| write all values
Public Member Functions inherited from Property
| Property (const std::string &n, const int index=-1)
| constructor must provide a name
virtual | ~Property ()
| destructor
std::string | name () const
| return identifier for instantiation
void | name (const std::string &n)
| change name
bool | is_named (const std::string &n)
| true if 'name' matches
int | index () const
| index, unique among all Property of similar kind()
void | index (int x)
| set index in the array of Properties
bool | modified () const
| true if at least one value is different than its default setting
void | readString (std::string &, char stamp)
| set from a string, return number of values assigned More...
void | readFile (const char file[])
| set from a string, return number of values assigned
void | write_diff (std::ostream &, const Property *ref) const
| write only values that differ from the ones specified in ref
void | write_diff (std::ostream &, bool prune) const
| if ( prune == true ), write values that differ from the default values
void | write (std::ostream &, bool prune=false) const
| write header + data More...

## Public Attributes
real | time_step
| a small interval of time More...
real | viscosity
| Ambient viscosity. More...
Vector | flow
| uniform and constant fluid flow
real | kT
| Level of Brownian motion in the system = temperature * Boltzman constant. More...
unsigned long | random_seed
| Seed for random number generator. More...
real | tolerance
| Desired precision in the motion of the objects. More...
real | acceptable_rate
| Precision threshold for stochastic events. More...
int | precondition
| A flag to enable preconditionning when solving the system of equations. More...
int | steric
| A flag to control the engine that implement steric interactions between objects.
real | steric_stiffness_push [2]
| Stiffness for repulsive steric interaction.
real | steric_stiffness_pull [2]
| Stiffness for attractive steric interaction.
real | steric_max_range
| Lattice size used to determine steric interactions. More...
real | binding_grid_step
| Lattice size used to determine the attachment of Hand to Fiber. More...
int | verbose
| level of verbosity
std::string | config
| Name of configuration file (default = config.cym)
std::string | property_file
| Name of output property file (also known as properties, default = properties.cmo)
std::string | trajectory_file
| Name of output trajectory file (also known as trajectory, default = objects.cmo)
bool | append_file
| If false, any pre-existing trajectory_file will be erased (default = false)
std::string | display
| Display parameters (see Display parameters: World)
bool | strict
| if true, do not accept parameter values that would lead to incorrect results More...
bool | display_fresh
| this is set to true when 'display' is modified, and to 'false' when it is read
Simul * | simul
| this is a backpointer to the associated Simul

## Friends
class | Simul

## Additional Inherited Members
Static Public Member Functions inherited from Property
template<typename C >
static void | write_param (std::ostream &os, std::string const &name, C const &c)
| formatted output of one parameter
template<typename C >
static void | write_param (std::ostream &os, std::string const &name, C const *c, int cnt)
| formatted output of one parameter
template<typename C , typename D >
static void | write_param (std::ostream &os, std::string const &name, C const &c, D const &d)
| formatted output of one parameter
template<typename C , typename D , typename E >
static void | write_param (std::ostream &os, std::string const &name, C const &c, D const &d, E const &e)
| formatted output of one parameter
template<typename C , typename D , typename E , typename F >
static void | write_param (std::ostream &os, std::string const &name, C const &c, D const &d, E const &e, F const &f)
| formatted output of one parameter

## Member Function Documentation

void complete | ( | SimulProp const * | sp,
|  | PropertyList * | plist
| ) |  |
| virtual

If the Global parameters have changed, we update all derived parameters. This makes it possible to change the time-step in the middle of a config file.

However, if plist == 0, this operation is skipped

Reimplemented from Property.

const Space * lastSpace | ( |  | ) | const

This returns the last Space that was created

## Member Data Documentation

bool strict

This parameter is automatically set to false when objects are set, and to 'true' when the simulation is calculated by the 'run' command.